From 9e3df911c538c357fc55d34c8ea9450dc9624891 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 23:33:28 +0000
Subject: [PATCH 1866/2232] Resolve redundant_closure_for_method_calls pedantic clippy lint


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index ffce380..fe51cd6 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -64,7 +64,6 @@
     clippy::nonminimal_bool,
     clippy::option_if_let_else,
     clippy::or_fun_call,
-    clippy::redundant_closure_for_method_calls,
     clippy::redundant_else,
     clippy::shadow_unrelated,
     clippy::similar_names,
@@ -444,7 +443,7 @@ fn best_effort_copy_headers(src: &Path, dst: &Path, max_depth: usize) {
             }
             Ok(file_type) if file_type.is_file() => {
                 let src = entry.path();
-                match src.extension().and_then(|x| x.to_str()) {
+                match src.extension().and_then(OsStr::to_str) {
                     Some("h") | Some("hh") | Some("hpp") => {}
                     _ => continue,
                 }
diff --git a/tests/test.rs b/tests/test.rs
index d826ecb..950e059 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -4,7 +4,6 @@
     clippy::cast_possible_wrap,
     clippy::float_cmp,
     clippy::needless_pass_by_value,
-    clippy::redundant_closure_for_method_calls,
     clippy::unit_cmp,
     clippy::unseparated_literal_suffix
 )]
@@ -29,7 +28,7 @@ macro_rules! check {
         CORRECT.with(|correct| correct.set(false));
         $run;
         assert!(
-            CORRECT.with(|correct| correct.get()),
+            CORRECT.with(Cell::get),
             "{}",
             stringify!($run),
         );

